/*
 * This file is part of SpongeAPI, licensed under the MIT License (MIT).
 *
 * Copyright (c) SpongePowered <https://www.spongepowered.org>
 * Copyright (c) contributors
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package org.spongepowered.api.potion;

/**
 * An enumaration of all possible {@link PotionEffectType}s in vanilla minecraft.
 */
public final class PotionEffectTypes {

    public static final PotionEffectType SPEED = null;
    public static final PotionEffectType SLOWNESS = null;
    public static final PotionEffectType HASTE = null;
    public static final PotionEffectType MINING_FATIGUE = null;
    public static final PotionEffectType STRENGTH = null;
    public static final PotionEffectType INSTANT_HEALTH = null;
    public static final PotionEffectType INSTANT_DAMAGE = null;
    public static final PotionEffectType JUMP_BOOST = null;
    public static final PotionEffectType NAUSEA = null;
    public static final PotionEffectType REGENERATION = null;
    public static final PotionEffectType RESISTANCE = null;
    public static final PotionEffectType FIRE_RESISTANCE = null;
    public static final PotionEffectType WATER_BREATHING = null;
    public static final PotionEffectType INVISIBILITY = null;
    public static final PotionEffectType BLINDNESS = null;
    public static final PotionEffectType NIGHT_VISION = null;
    public static final PotionEffectType HUNGER = null;
    public static final PotionEffectType WEAKNESS = null;
    public static final PotionEffectType POISON = null;
    public static final PotionEffectType WITHER = null;
    public static final PotionEffectType HEALTH_BOOST = null;
    public static final PotionEffectType ABSORPTION = null;
    public static final PotionEffectType SATURATION = null;

    private PotionEffectTypes() {
    }
}
